# unlock\_attr

Unlocks an attribute name that is currently locked. Nothing is returned.

Any attribute name that is currently locked from reassignment (See [lock\_attr](/docs/maci/object/methods/lock_attr.md)) only can be unlocked using this method, which reinstates the ability to reassign that attribute name to new values again.

Unlocking an attribute name will only affect the general lock (See [lock\_attr](/docs/maci/object/methods/lock_attr.md)).

\
\&#xNAN;*Basic Example of unlocking a name using default positional parameter*

```python
data.unlock_attr('attr_name')
```

In this example, we simply unlock an attribute name that already exists in the [MaciDataObj](/docs/maci/object.md) and is also currently present in the [lock list](/docs/maci/object/methods/get_locked_list.md) by passing a string of the attribute name as an argument to the unlock\_attr method to unlock the name.

### partner methods

Methods that provide related utility to this method

[lock\_attr](/docs/maci/object/methods/lock_attr.md)  ->  Lock an attribute name\
[get\_locked\_list](/docs/maci/object/methods/get_locked_list.md)  ->  View all the currently locked attribute names

### parameters & arguments

Describes all parameter functionality and accepted data types

<details>

<summary>attr_name:  str</summary>

First and only required positional argument. Accepts strings

Use this parameter to pick attribute name to unlock

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.macilib.org/docs/maci/object/methods/unlock_attr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
